import { Layout as RALayout, CheckForApplicationUpdate } from "react-admin";
import AppBar from './AppBar';
import { MyMenu } from './MyMenu'

export const Layout = ({ children }) => (
  <RALayout
    appBar={AppBar}
    menu={MyMenu}
    sx={{ '& .RaLayout-content': { position: 'absolute', left: '200px', overflowY: 'auto', width: 'calc(100% - 200px)', height: 'calc(100% - 50px)' } }}
  >
    {children}
    <CheckForApplicationUpdate />
  </RALayout>
);
